Skip to main content
`Ctrl`+`K`

# EPSPRIMMEGetBlockSize

Get the maximum block size the code will try to use.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPRIMMEGetBlockSize(EPS eps,PetscInt *bs)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- bs - returned block size

## See Also

EPS: Eigenvalue Problem Solver, `EPSPRIMME`, `EPSPRIMMESetBlockSize()`

## Level

advanced

## Location

src/eps/impls/external/primme/primme.c

## Implementations

EPSPRIMMEGetBlockSize_PRIMME() in src/eps/impls/external/primme/primme.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages